Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire.muc
Enum MUCRole.Role

    java.lang.Object
      java.lang.Enum<MUCRole.Role>
          org.jivesoftware.openfire.muc.MUCRole.Role

All Implemented Interfaces:
  Serializable, Comparable<MUCRole.Role>

Enclosing interface:
  MUCRole

    public static enum MUCRole.Role

extends Enum<MUCRole.Role>

Enum Constant Summary
`moderator` Runs moderated discussions.
`none` An occupant who does not permission to stay in the room (was banned)
`participant` A normal occupant of the room.
`visitor` An occupant who does not have voice (can't speak in the room)

Method Summary
`int` | `getValue()` Returns the value for the role.
`static MUCRole.Role` | `valueOf(int value)` Returns the affiliation associated with the specified value.
`static MUCRole.Role` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MUCRole.Role[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### moderator

    public static final MUCRole.Role moderator

  Runs moderated discussions. Is allowed to kick users, grant and revoke voice, etc.

### participant

    public static final MUCRole.Role participant

  A normal occupant of the room. An occupant who does not have administrative privileges; in a moderated room, a participant is further defined as having voice

### visitor

    public static final MUCRole.Role visitor

  An occupant who does not have voice (can't speak in the room)

### none

    public static final MUCRole.Role none

  An occupant who does not permission to stay in the room (was banned)

Method Detail

### values

    public static final MUCRole.Role[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MUCRole.Role c : MUCRole.Role.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MUCRole.Role valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### getValue

    public int getValue()

  Returns the value for the role.

  Returns:
    the value.

### valueOf

    public static MUCRole.Role valueOf(int value)

  Returns the affiliation associated with the specified value.

  Parameters:
    `value` - the value.
  Returns:
    the associated affiliation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.